Subject: [bess] Suresh Krishnan's No Objection on draft-ietf-bess-evpn-df-election-framework-07: (with COMMENT)

From: Suresh Krishnan <[email-masked]>
Date: Wed, 09 Jan 2019 22:27:41 -0800

Suresh Krishnan has entered the following ballot position for
draft-ietf-bess-evpn-df-election-framework-07: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-df-election-framework/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Given the drawbacks this document mentions regarding the default DF election
algorithm defined in RFC7432, I also think it would be better for this document
to update RFC7432 so that implementers are aware that there are better
alternatives out there.

* Section 3.2:

Who actually advertises Type 0 in the DF Alg field given that the legacy
RFC7432 implementations do not use this extended community at all?

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 15 Jan 2019 15:49:36 +0000

Suresh,

Thank you very much for reviewing. Please see in-line with [JORGE].

Thx
Jorge

-----Original Message-----
From: Suresh Krishnan <[email-masked]>
Date: Thursday, January 10, 2019 at 7:27 AM
To: The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Stephane Litkowski <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Suresh Krishnan's No Objection on draft-ietf-bess-evpn-df-election-framework-07: (with COMMENT)
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, January 10, 2019 at 7:27 AM

    
    
    Given the drawbacks this document mentions regarding the default DF election
    algorithm defined in RFC7432, I also think it would be better for this document
    to update RFC7432 so that implementers are aware that there are better
    alternatives out there.
[JORGE] Sounds good. We'll do in the next revision.
    
    * Section 3.2:
    
    Who actually advertises Type 0 in the DF Alg field given that the legacy
    RFC7432 implementations do not use this extended community at all?
[JORGE] I agree that there is no need to advertise type 0 if there are no capabilities to signal. However, you may well advertise type 0 along with the AC-DF bit in the extended community.